.m-draw-shape-ds1 {
  display: flex;
  position: relative;
  flex-wrap: wrap;
.box-wrapper{
  flex: none !important;
  width: 280px !important;
  height: 310px !important;
  & > div{
    flex: none;
    width: 100%;
  }
  audio{
    transform: scale(0.9);
    width: 100%;
  }
}
.content-table{
  width: calc(100% - 280px);
}
.question-table-ds1{
  width: 100%;
  padding: 0 1rem 1.6rem 1rem;
  // font-family: 'Montserrat Regular';
  &-table {
    width: 100%;
    border-radius: 8px;
    box-shadow: 0px 1px 4px rgb(115 132 152 / 20%);
    table-layout: fixed;
    background-color: white;
    overflow: hidden;
  }
  .rs-picker-default .rs-picker-toggle.rs-btn-xs {
    width: 7rem;
    min-height: 3.6rem;
    padding-top: 6px !important;
    padding-bottom: 6px !important;
    border: 1px solid #d4dde7;
    border-radius: 0.8rem;
    .rs-picker-toggle-caret{
      top:6px;
    }
    &:hover{
      box-shadow: 0 0 0 2px #cce5ff;
      border: 1px solid #3498ff;
    }
  }
  .rs-picker-toggle-value{
    color: #595858;
    font-weight: 500;
    line-height: 1.3rem;
    text-align: center;
    font-size: 13px;
    padding-top: 2px;
    padding-bottom: 2px;
  }
  .error{
    .rs-picker-default .rs-picker-toggle.rs-btn-xs {
      width: 7rem;
      min-height: 3.6rem;
      padding-top: 6px !important;
      padding-bottom: 6px !important;
      border-radius: 8px;
      border: 1px solid #dd3a09 !important;
     
    }

  }
  .question-table-ds1-thead {
    tr {
      background-color: #5cb9d8;
    }
    th {
      color: #ffffff;
      font-size: 1.4rem;
      font-weight: 400;
      padding: 11px;
      &:nth-child(1) {
        width: 20%;
        text-align: center;
        padding-left: 1rem;
      }
      &:nth-child(2) {
        width: 35%;
        text-align: center;
      }
      &:nth-child(3) {
        width: 35%;
        text-align: left;
      }
      &:nth-child(4) {
        width: 10%;
        text-align: center;
      }
    }
  }

  .question-table-ds1-tbody {
    td {
      padding: 5px;
      height: 70px;
      position: relative;
      .rs-toggle{   
          .rs-toggle-presentation{
              background: #67AB8D;
              min-width: 80px;
          }
      }
      .rs-toggle-checked {
          .rs-toggle-presentation{
              background: #F8C116 !important;
          }
      }
      &.error{
        .rs-toggle-presentation {
          box-shadow: 0 0 0 0.15rem #dd3a09 !important;
        }
      }

      &:nth-child(1) {
        width: 20%;
        text-align: center;
        padding-left: 1rem;
      }
      &:nth-child(2) {
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
      }
      &:nth-child(3) {
        // width: 35%;
        text-align: center;
        >div{
          height: 100%;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          >div:nth-child(2){
            padding-left: 1.6rem;
            color: #c3c3c3;
          }
        }
      }
      &:nth-child(4) {
        width: 10%;
        text-align: center;
      }
      .shape-preview{
        height: 5.2rem;
        width: 10rem;
        border-radius: 0.8rem;
        border: 1px solid #dadada ;
        display: flex;
        justify-content: center;
        align-items: center;
        float: left;
      }

      .dropout-label{
        position: absolute;
        top: 3px;
        left: 3px;
        z-index: 6;
        width: 40px;
        height: 30px;
        pointer-events: none;
        display: flex;
        justify-content: center;
        align-items: center;
        background: #fff;
      }
    }
  }
  .ic-action{
    height: 17px;
    width: 17px;
    cursor: pointer;
    margin: 0 1.4rem;
  }

  .render_error{
    position: relative;
    display: flex;
    flex-direction: column;
    padding-top: 1rem;
    color: #ff0018;
    font-size: 1.2rem;
    font-weight: 400;
  }
}
.question-table-ds1-action {
  height: 40px;
  background-color: #ffffff !important;
  td{
      height: 39px !important;
      border-bottom: none !important;
      padding-left: 15px !important;
      .add-new-answer-ds1 {
          display: flex;
          align-items: center;
          justify-content: flex-start;
          cursor: pointer;
          color: #309fc3;
          font-weight: 500;
          &.error{
            padding: 10px 0px;
            border-radius: 8px;
            border: 1px solid #dd3a09;
          }
        }
  }
  
}
}
.--item-dropout-ds1{
  height: fit-content;
    width: 100%;
    display: flex;
    justify-content: center;
}